Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163476 - Illegal request with VCD
Summary: Illegal request with VCD
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-18 00:41 UTC by Marek Kassur
Modified: 2013-03-06 03:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 15:30:21 UTC


Attachments (Terms of Use)

Description Marek Kassur 2005-07-18 00:41:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I see this error when I put VCD into dvd drive. It's probably
harmless, as everything works just fine, but I'd rather report it.

hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 04 06 a2 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 1055368
Buffer I/O error on device hdc, logical block 131921
hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 04 06 a2 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 1055368
Buffer I/O error on device hdc, logical block 131921
hdc: command error: status=0x51 { DriveReady SeekComplete Error }
hdc: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was:
  "28 00 00 04 06 a2 00 00 02 00 00 00 00 00 00 00 "
end_request: I/O error, dev hdc, sector 1055368
Buffer I/O error on device hdc, logical block 131921

Version-Release number of selected component (if applicable):
2.6.12-1.1398_FC4smp

How reproducible:
Always

Steps to Reproduce:
1. Insert any Video CD 


Additional info:

Comment 1 Alan Cox 2005-07-20 14:20:25 UTC
An application is attempting to issue a normal READ command on the video
sectors, which is not permitted. Taking a guess here and passing the buck to
"hal" for the moment.



Comment 2 Marek Kassur 2005-07-20 23:21:55 UTC
Just an update to let you know that disabling hal indeed clears this error.

Comment 3 Christian Iseli 2007-01-22 11:58:31 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 4 Julien Tognazzi 2007-02-08 14:20:34 UTC
Regarding this bugs, it seems to me it's still applies in FC6.
When I insert a vcd, i get the following error messages in dmesg, and the disc
can't be mounted:

hda: command error: status=0x51 { DriveReady SeekComplete Error }
hda: command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
ide: failed opcode was: unknown
ATAPI device hda:
  Error: Illegal request -- (Sense key=0x05)
  Illegal mode for this track or incompatible medium -- (asc=0x64, ascq=0x00)
  The failed "Read 10" packet command was: 
  "28 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 "
end_request: I/O error, dev hda, sector 0

I tried this on 2 different computers with 2 different VCDs

With Opensuse 10.2, the vcd mounts.

So can you update de version field to FC6
And what more information do you need ?

Comment 5 Peter Sabiniewicz 2007-04-09 20:48:03 UTC
I have the same problem in my FC6 VCD disc is not mounted automatic-ly by KDE.
I can mount it manual way but i cannot play VCD disc using XINE(xine chrash)
only Mplayer works but display error "ioctl dif1 Bad parameter"
What info do you need?

Comment 6 Bug Zapper 2008-04-04 01:59:22 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 7 Bug Zapper 2008-05-06 15:30:20 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Heber Vazquez 2009-04-12 16:58:05 UTC
Same problem with Fedora 10.

Just enter a vcd:

 Apr 12 12:57:24 localhost kernel: end_request: I/O error, dev sr0, sector 435120
Apr 12 12:57:24 localhost kernel: Buffer I/O error on device sr0, logical block 54390
Apr 12 12:57:24 localhost kernel: end_request: I/O error, dev sr0, sector 435120
Apr 12 12:57:24 localhost kernel: Buffer I/O error on device sr0, logical block 54390
Apr 12 12:57:25 localhost kernel: end_request: I/O error, dev sr0, sector 1800
Apr 12 12:57:25 localhost kernel: Buffer I/O error on device sr0, logical block 225
Apr 12 12:57:25 localhost kernel: end_request: I/O error, dev sr0, sector 1800
Apr 12 12:57:25 localhost kernel: Buffer I/O error on device sr0, logical block 225


Note You need to log in before you can comment on or make changes to this bug.